Package wx :: Module wizard :: Class Wizard

[frames | no frames]

## Type Wizard

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                Wizard

Proxy of C++ Wizard class

Method Summary
Wizard | `__init__(self, parent, id, title, bitmap, pos, style)`
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
| `FitToPage(self, firstPage)`
WizardPage | `GetCurrentPage(self)`
Sizer | `GetPageAreaSizer(self)`
Size | `GetPageSize(self)`
bool | `HasNextPage(self, page)`
bool | `HasPrevPage(self, page)`
| `Init(self)`
bool | `IsRunning(self)`
bool | `RunWizard(self, firstPage)`
| `SetBorder(self, border)`
| `SetPageSize(self, size)`
bool | `ShowPage(self, page, goingForward)`

Property Summary
| `CurrentPage`: See `GetCurrentPage`
| `PageAreaSizer`: See `GetPageAreaSizer`
| `PageSize`: See `GetPageSize` and `SetPageSize`
| `thisown`: The membership flag

Class Variable Summary

Instance Method Details

### Create(self, parent, id=-1, title=EmptyString, bitmap=wxNullBitmap, pos=DefaultPosition)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Dialog.Create` (inherited documentation)

Property Details

### CurrentPage

See `GetCurrentPage`

  Get Method:
    `GetCurrentPage`(self)

### PageAreaSizer

See `GetPageAreaSizer`

  Get Method:
    `GetPageAreaSizer`(self)

### PageSize

See `GetPageSize` and `SetPageSize`

  Get Method:
    `GetPageSize`(self)
  Set Method:
    `SetPageSize`(self, size)

### thisown

The membership flag

  Get Method:
    unknown--1272653252(...)
  Set Method:
    unknown--1272653196(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:17 2007 | http://epydoc.sf.net